import { r as registerInstance, h, H as Host } from './core-095fd691.js';

const BceElementSlider = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        if (!this.template)
            return null;
        return (h(Host, null, h("p", null, this.template.question), h("div", { class: "top" }, h("span", null, h("label", null, this.template.minText), h("label", null, this.template.min)), h("span", null, h("label", null, this.template.maxText), h("label", null, this.template.max))), h("bce-slider", { step: this.template.step, min: this.template.min, max: this.template.max })));
    }
    static get style() { return "bce-element-slider p{font-weight:500;text-align:center}\@media screen and (min-width:1024px){bce-element-slider p{text-align:left}}bce-element-slider>div.top{display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between}bce-element-slider>div.top>span{display:-ms-flexbox;display:flex;-ms-flex-direction:column;flex-direction:column}bce-element-slider>div.top>span:first-child label{margin:5px auto 5px 5px}bce-element-slider>div.top>span:nth-child(2) label{margin:5px 5px 5px auto}"; }
};

export { BceElementSlider as bce_element_slider };
